### Class

# Atk NoOpObjectFactory

#### Description [src]

    class Atk.NoOpObjectFactory : Atk.ObjectFactory
    {
      /* No available fields */
    }

The AtkObjectFactory which creates an AtkNoOpObject.

The AtkObjectFactory which creates an AtkNoOpObject. An instance of this is created by an AtkRegistry if no factory type has not been specified to create an accessible object of a particular type.

#### Ancestors

- AtkObjectFactory
- GObject

#### Constructors

###### atk_no_op_object_factory_new

Creates an instance of an `AtkObjectFactory` which generates primitive (non-functioning) `AtkObjects`.

#### Instance methods

##### Methods inherited from AtkObjectFactory (3)

###### atk_object_factory_create_accessible

Provides an `AtkObject` that implements an accessibility interface on behalf of `obj`.

###### atk_object_factory_get_accessible_type

Gets the GType of the accessible which is created by the factory.

###### atk_object_factory_invalidate

Inform `factory` that it is no longer being used to create accessibles. When called, `factory` may need to inform `AtkObjects` which it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of `AtkObjectFactorys` in object registries.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkNoOpObjectFactoryClass {
      AtkObjectFactoryClass parent_class;

    }

No description available.

###### Class members

`parent_class: AtkObjectFactoryClass`

  No description available.